DevExtreme jQuery/JS - Keyboard Support
An end user can use the following keys to interact with the widget.
Key | Action |
---|---|
Shift + Mouse Wheel | Scrolls the content left/right if the direction option is "horizontal". |
←→↑↓ | Moves focus to the neighboring tile. |
Home | Moves focus to the very first tile. |
End | Moves focus to the very last tile. |
Enter or Space | Selects the focused tile. |
You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.
JavaScript
- function registerKeyHandlers () {
- const tileView = $("#tileViewContainer").dxTileView("instance");
- tileView.registerKeyHandler("backspace", function(e) {
- // The argument "e" contains information on the event
- });
- tileView.registerKeyHandler("space", function(e) {
- // ...
- });
- }
See Also
- Call Methods: Angular | Vue | React | jQuery | AngularJS | Knockout | ASP.NET MVC 5 | ASP.NET Core
- TileView Demos
- TileView API Reference
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.

DevExtreme React - Keyboard Support

An end user can use the following keys to interact with the widget.

Key Action
Shift + Mouse Wheel Scrolls the content left/right if the direction option is "horizontal".
←→↑↓ Moves focus to the neighboring tile.
Home Moves focus to the very first tile.
End Moves focus to the very last tile.
Enter or Space Selects the focused tile.

You can implement a custom handler for a key using the registerKeyHandler(key, handler) method.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.common.css';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { TileView } from 'devextreme-react/tile-view';
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.tileViewRef = React.createRef();
  • }
  •  
  • render() {
  • return (
  • <TileView ref={this.tileViewRef} />
  • );
  • }
  •  
  • get tileView() {
  • return this.tileViewRef.current.instance;
  • }
  •  
  • componentDidMount() {
  • this.tileView.registerKeyHandler('backspace', function(e) {
  • // The argument "e" contains information on the event
  • });
  • this.tileView.registerKeyHandler('space', function(e) {
  • // ...
  • });
  • }
  • }
  •  
  • export default App;
See Also